Servoy Treeview Bean - Defect #1004

Servoy 8 treeview doesn't work in server with servoy_sample_treeview.servoy
03/30/2016 11:54 AM - Juan Ramirez

Status: Closed Start date: 03/30/2016
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

Hi, | put the servoy_sample_treeview.servoy on a server with servoy 8.0.2 and it doesn't work in server but it work in developer.
Using the lastest servoy-treeview.jar from 2015-04-27 16:45.
Java version 1.8.0_73-b02

It shows this error:

CacheEntry[https://www.etecsoft.com:8443/servoy-client/servidor.jnlp]: updateAvailable=true,lastMo
dified=Wed Mar 30 10:10:00 BST 2016, length=-1
CacheEntry[https://www.etecsoft.com:8443/servoy.properties]: updateAvailable=false, lastModified=Th
u Jan 01 01:00:00 GMT 1970, length=-1

log4j:WARN No appenders could be found for logger (com.sebster.tunnel.impl.p).

1log4j:WARN Please initialize the log4j system properly.
CacheEntry[https://www.etecsoft.com:8443/servoy-rmi-portserver]: updateAvailable=false, lastModifie
d=Thu Jan 01 01:00:00 GMT 1970, length=4

java.lang.ClassNotFoundException: com/servoy/extensions/beans/treeview/TreeView
Continuing

java.lang.NoSuchMethodException: <unbound>=XMLDecoder.new();
Continuing

java.lang.IllegalStateException: The outer element does not return value
Continuing
java.lang.ArrayIndexOutOfBoundsException: 0

at java.beans.XMLDecoder.readObject (Unknown Source)

at com.servoy.j2db.component.ComponentFactory.getBeanInstanceFromXML (ComponentFactory. java:867)
at com.servoy.j2db.component.ComponentFactory.createBean (ComponentFactory. java:2326)

at com.servoy.j2db.component.ComponentFactory.createComponentEx (ComponentFactory.java:372)

at com.servoy.j2db.component.ComponentFactory.createComponent (ComponentFactory.java:257)

at com.servoy.j2db.smart.dataui.DataRendererFactory.placeElements (DataRendererFactory. java:300)
at com.servoy.j2db.smart.dataui.DataRendererFactory.completeRenderers (DataRendererFactory. java:26
6)

at com.servoy.j2db.FormController.createDataRenderers (FormController. java:453)

at com.servoy.j2db.FormController.init (FormController.java:274)

at com.servoy.j2db.FormManager.leaseFormPanel (FormManager. java:834)

at com.servoy.j2db.FormManager.leaseFormPanel (FormManager. java:1l)

at com.servoy.j2db.scripting.CreationalPrototype.get (CreationalPrototype. java:168)

at org.mozilla.javascript.ScriptableObject.getProperty (ScriptableObject. java:2141)

at org.mozilla.javascript.ScriptRuntime.getObjectProp (ScriptRuntime. java:1518)

at org.mozilla.javascript.ScriptRuntime.getObjectProp (ScriptRuntime. java:1505)

at org.mozilla.javascript.gen.servoy_sample_treeview_forms_start_showDemo_3._c_showDemo_0 (servoy_
sample_treeview/forms/start/showDemo:7)

at org.mozilla.javascript.gen.servoy_sample_treeview_forms_start_showDemo_3.call (servoy_sample_tr
eeview/forms/start/showDemo)

at org.mozilla.javascript.ContextFactory.doTopCall (ContextFactory. java:406)

at org.mozilla.javascript.ScriptRuntime.doTopCall (ScriptRuntime. java:3204)

at org.mozilla.javascript.gen.servoy_sample_treeview_forms_start_showDemo_3.call (servoy_sample_tr
eeview/forms/start/showDemo)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction (ScriptEngine. java:654)

at com.servoy.j2db.BasicFormController.executeFunction (BasicFormController. java:1063)

at com.servoy.j2db.BasicFormController.executeFunction (BasicFormController. java:945)
at com.servoy.j2db.BasicFormController.executeFunction (BasicFormController. java:812)
at com.servoy.j2db.FormController$ScriptExecuter.executeFunction (FormController. java:1041)
at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand (BaseEventExecutor. java:284)
at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand (BaseEventExecutor. java:250)
at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand (BaseEventExecutor. java:218)
at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand (BaseEventExecutor. java:213)
at com.servoy.j2db.smart.dataui.AbstractScriptButton$2.actionPerformed (AbstractScriptButton. java:
660)

at javax.swing.AbstractButton.fireActionPerformed (Unknown Source)

at Jjavax.swing.AbstractButton$Handler.actionPerformed (Unknown Source)

at javax.swing.DefaultButtonModel.fireActionPerformed (Unknown Source)

at javax.swing.DefaultButtonModel.setPressed (Unknown Source)

at javax.swing.plaf.basic.BasicButtonListener.mouseReleased (Unknown Source)

at java.awt.Component.processMouseEvent (Unknown Source)

at javax.swing.JComponent.processMouseEvent (Unknown Source)

at java.awt.Component.processEvent (Unknown Source)

at java.awt.Container.processEvent (Unknown Source)

at java.awt.Component.dispatchEventImpl (Unknown Source)

at java.awt.Container.dispatchEventImpl (Unknown Source)

at java.awt.Component.dispatchEvent (Unknown Source)

at java.awt.LightweightDispatcher.retargetMouseEvent (Unknown Source)

at java.awt.LightweightDispatcher.processMouseEvent (Unknown Source)

at java.awt.LightweightDispatcher.dispatchEvent (Unknown Source)

at java.awt.Container.dispatchEventImpl (Unknown Source)

at java.awt.Window.dispatchEventImpl (Unknown Source)

at java.awt.Component.dispatchEvent (Unknown Source)

at java.awt.EventQueue.dispatchEventImpl (Unknown Source)

at java.awt.EventQueue.access$400 (Unknown Source)

at java.awt.EventQueue$3.run (Unknown Source)

at java.awt.EventQueue$3.run (Unknown Source)

at java.security.AccessController.doPrivileged (Native Method)

at Jjava.security.ProtectionDomain$l.doIntersectionPrivilege (Unknown Source)

at Jjava.security.ProtectionDomain$l.doIntersectionPrivilege (Unknown Source)

at Jjava.awt.EventQueue$4.run (Unknown Source)

at Jjava.awt.EventQueue$4.run (Unknown Source)

at java.security.AccessController.doPrivileged (Native Method)

at java.security.ProtectionDomain$l.doIntersectionPrivilege (Unknown Source)

at java.awt.EventQueue.dispatchEvent (Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters (Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter (Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForHierarchy (Unknown Source)

at java.awt.EventDispatchThread.pumpEvents (Unknown Source)

at java.awt.EventDispatchThread.pumpEvents (Unknown Source)

at java.awt.EventDispatchThread.run (Unknown Source)

mar 30, 2016 10:40:48 AM com.servoy.j2db.util.Debug error
GRAVE: Throwable, script stacktrace:
at servoy_sample_treeview/forms/start/showDemo:7 (showDemo)

mar 30, 2016 10:40:48 AM com.servoy.j2db.util.Debug error
GRAVE: TypeError: Cannot find function setDataSet in object com.servoy.j2db.smart.dataui.Component
JLabel [treeview,0,2,641x281,alignmentX=0.0,alignmentY¥=0.0,border=, £1ags=159383840, maximumSize=,min
imumSize=,preferredSize=,defaultIcon=,disabledIcon=,horizontalAlignment=LEADING, horizontalTextPosi
tion=TRAILING, iconTextGap=4, labelFor=, text=bean missing com.servoy.extensions.beans.treeview.TreeV
iew,verticalAlignment=CENTER, verticalTextPosition=CENTER]. (servoy_sample_treeview/forms/main/init
Treeview#54)

org.mozilla.javascript.EcmaError: TypeError: Cannot find function setDataSet in object com.servoy.
j2db.smart.dataui.ComponentJLabel [treeview, 0,2, 641x281,alignmentX=0.0,alignmentY¥=0.0,border=, flags
=159383840, maximumSize=,minimumSize=, preferredSize=,defaultIcon=,disabledIcon=,horizontalAlignment
=LEADING, horizontalTextPosition=TRAILING, iconTextGap=4, labelFor=,text=bean missing com.servoy.exte
nsions.beans.treeview.TreeView,verticalAlignment=CENTER,verticalTextPosition=CENTER]. (servoy_samp
le_treeview/forms/main/initTreeview#54)

at org.mozilla.javascript.ScriptRuntime.constructError (ScriptRuntime. java:3772)

at org.mozilla.javascript.ScriptRuntime.constructError (ScriptRuntime. java:3756)

at org.mozilla.javascript.ScriptRuntime.typeError (ScriptRuntime. java:3777)

at org.mozilla.javascript.ScriptRuntime.typeError2 (ScriptRuntime. java:3793)

at org.mozilla.javascript.ScriptRuntime.notFunctionError (ScriptRuntime. java:3855)
at org.mozilla.javascript.ScriptRuntime.getPropFunctionAndThisHelper (ScriptRuntime. java:2316)

at org.mozilla.javascript.ScriptRuntime.getPropFunctionAndThis (ScriptRuntime. java:2283)

at org.mozilla.javascript.gen.servoy_sample_treeview_forms_main_initTreeview_4._c_initTreeview_0 (
servoy_sample_treeview/forms/main/initTreeview:54)

at org.mozilla.javascript.gen.servoy_sample_treeview_forms_main_initTreeview_4.call (servoy_sample
_treeview/forms/main/initTreeview)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction (ScriptEngine. java:654)

at com.servoy.j2db.BasicFormController.executeFunction (BasicFormController. java:1063)

at com.servoy.j2db.BasicFormController.executeFormMethod (BasicFormController. java:782)

at com.servoy.j2db.BasicFormController.executeOnShowMethod (BasicFormController. java:651)

at com.servoy.j2db.BasicFormController.access$2 (BasicFormController. java:645)

at com.servoy.j2db.BasicFormController$l.run (BasicFormController. java:385)

at java.awt.event.InvocationEvent.dispatch (Unknown Source)

at java.awt.EventQueue.dispatchEventImpl (Unknown Source)

at java.awt.EventQueue.access$400 (Unknown Source)

at Jjava.awt.EventQueue$3.run (Unknown Source)

at Jjava.awt.EventQueue$3.run (Unknown Source)

at java.security.AccessController.doPrivileged (Native Method)

at Jjava.security.ProtectionDomain$l.doIntersectionPrivilege (Unknown Source)

at java.awt.EventQueue.dispatchEvent (Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters (Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter (Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForHierarchy (Unknown Source)

at java.awt.EventDispatchThread.pumpEvents (Unknown Source)

at java.awt.EventDispatchThread.pumpEvents (Unknown Source)

at java.awt.EventDispatchThread.run (Unknown Source)

History

#1 - 06/09/2017 09:27 AM - Gabi Boros

- Status changed from New to Closed

tested with 'servoy_sample_treeview.servoy' on Servoy 8.1.4, and it works
